Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Write_Guard Class Template Reference

This class is similar to class <ACE_Guard>, though it acquires/releases a write lock automatically (naturally, the <ACE_LOCK> it is instantiated with must support the appropriate API). More...

`#include <Synch_T.h>`

Inheritance diagram for ACE_Write_Guard:

[legend]
Collaboration diagram for ACE_Write_Guard:

[legend]
List of all members.

## Public Methods
| ACE_Write_Guard (ACE_LOCK &m)
| Implicitly and automatically acquire a write lock. More...
| ACE_Write_Guard (ACE_LOCK &m, int block)
| Implicitly and automatically acquire (or try to acquire) a write lock. More...
int | acquire_write (void)
| Explicitly acquire the write lock. More...
int | acquire (void)
| Explicitly acquire the write lock. More...
int | tryacquire_write (void)
| Conditionally acquire the write lock (i.e., won't block). More...
int | tryacquire (void)
| Conditionally acquire the write lock (i.e., won't block). More...
void | dump (void) const
| Dump the state of an object. More...

## Detailed Description

### template<class ACE_LOCK>
class ACE_Write_Guard< ACE_LOCK >

This class is similar to class <ACE_Guard>, though it acquires/releases a write lock automatically (naturally, the <ACE_LOCK> it is instantiated with must support the appropriate API).

## Constructor & Destructor Documentation

template<class ACE_LOCK>
ACE_INLINE ACE_Write_Guard< ACE_LOCK >::ACE_Write_Guard | ( | ACE_LOCK & | m | ) |

| Implicitly and automatically acquire a write lock.

template<class ACE_LOCK>
ACE_INLINE ACE_Write_Guard< ACE_LOCK >::ACE_Write_Guard | ( | ACE_LOCK & | m,
|  | int | block
| ) |

| Implicitly and automatically acquire (or try to acquire) a write lock.

## Member Function Documentation

template<class ACE_LOCK>
ACE_INLINE int ACE_Write_Guard< ACE_LOCK >::acquire | ( | void |  | ) |

| Explicitly acquire the write lock. Reimplemented from ACE_Guard.

template<class ACE_LOCK>
ACE_INLINE int ACE_Write_Guard< ACE_LOCK >::acquire_write | ( | void |  | ) |

| Explicitly acquire the write lock.

template<class ACE_LOCK>
void ACE_Write_Guard< ACE_LOCK >::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Guard.

template<class ACE_LOCK>
ACE_INLINE int ACE_Write_Guard< ACE_LOCK >::tryacquire | ( | void |  | ) |

| Conditionally acquire the write lock (i.e., won't block). Reimplemented from ACE_Guard.

template<class ACE_LOCK>
ACE_INLINE int ACE_Write_Guard< ACE_LOCK >::tryacquire_write | ( | void |  | ) |

| Conditionally acquire the write lock (i.e., won't block).

The documentation for this class was generated from the following files:

- Synch_T.h
- Synch_T.cpp
- Synch_T.i